Video Generation Models
Returns the currently available video generation model catalog, including each model’s supported modes, resolutions, aspect ratios, durations, reference media constraints, defaults, and pricing. Models and parameter ranges may change as the service is updated, so use the real-time response from this endpoint when calling the video generation API.
This endpoint only queries the model catalog and does not create a video generation task. To generate a video, call the Generate Video endpoint.
For the meaning of each modes value and its typical inputs, see Video generation mode constants.
curl --request GET \
--url https://aitoearn.cn/api/ai/models/video/generationimport requests
url = "https://aitoearn.cn/api/ai/models/video/generation"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://aitoearn.cn/api/ai/models/video/generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/models/video/generation"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": [
{
"name": "string",
"label": "string",
"description": "string",
"tags": [
"string"
],
"creditsScope": "string",
"modes": [
"string"
],
"resolutions": [
"string"
],
"durations": [
"number"
],
"maxInputImages": "number",
"inputConstraints": {
"images": {
"maxCount": "number"
},
"videos": {
"maxCount": "number",
"formats": [
"string"
],
"minDuration": "number",
"maxDuration": "number",
"maxTotalDuration": "number",
"maxSizeMb": "number",
"minAspectRatio": "number",
"maxAspectRatio": "number",
"minWidth": "number",
"maxWidth": "number",
"minPixels": "number",
"maxPixels": "number",
"minFps": "number",
"maxFps": "number"
},
"audios": {
"maxCount": "number",
"formats": [
"string"
],
"minDuration": "number",
"maxDuration": "number",
"maxTotalDuration": "number",
"maxSizeMb": "number"
}
},
"aspectRatios": [
"string"
],
"defaults": {
"resolution": "string",
"aspectRatio": "string",
"duration": "number"
},
"pricing": [
{
"resolution": "string",
"mode": "string",
"duration": "number",
"price": "number",
"originPrice": "number"
}
]
}
]
}Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
The currently available video generation models. Models, capabilities, parameter ranges, and pricing may change as the service is updated; always use the latest response from this endpoint.
Hide child attributes
Hide child attributes
Model name
Model display name
Model description
tag list
Credit scope used by the model. general means general credits, and seedance means Seedance-specific credits.
general, seedance Supported modes
text2video, image2video, flf2video, multi-image2video, multi-ref, video2video Supported video resolution list
Supported video duration list, in seconds
Maximum number of input images allowed by the model
Multimodal input constraints
Hide child attributes
Hide child attributes
Video input constraints
Hide child attributes
Hide child attributes
Maximum number of inputs
Supported file formats
Minimum duration (seconds)
Maximum duration of a single file (seconds)
Total maximum duration (seconds)
Maximum size of a single file (MB)
minimum aspect ratio
Maximum aspect ratio
minimum width
maximum width
Minimum number of pixels
Maximum number of pixels
Minimum frame rate
Max frame rate
Audio input constraints
Hide child attributes
Hide child attributes
Maximum number of inputs
Supported file formats
Minimum duration (seconds)
Maximum duration of a single file (seconds)
Total maximum duration (seconds)
Maximum size of a single file (MB)
List of supported aspect ratios
price list
Hide child attributes
Hide child attributes
Video resolution applicable to this pricing entry
Generation mode applicable to this pricing entry
Video duration applicable to this pricing entry, in seconds
Current price value
Original price value
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/ai/models/video/generationimport requests
url = "https://aitoearn.cn/api/ai/models/video/generation"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://aitoearn.cn/api/ai/models/video/generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/models/video/generation"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": [
{
"name": "string",
"label": "string",
"description": "string",
"tags": [
"string"
],
"creditsScope": "string",
"modes": [
"string"
],
"resolutions": [
"string"
],
"durations": [
"number"
],
"maxInputImages": "number",
"inputConstraints": {
"images": {
"maxCount": "number"
},
"videos": {
"maxCount": "number",
"formats": [
"string"
],
"minDuration": "number",
"maxDuration": "number",
"maxTotalDuration": "number",
"maxSizeMb": "number",
"minAspectRatio": "number",
"maxAspectRatio": "number",
"minWidth": "number",
"maxWidth": "number",
"minPixels": "number",
"maxPixels": "number",
"minFps": "number",
"maxFps": "number"
},
"audios": {
"maxCount": "number",
"formats": [
"string"
],
"minDuration": "number",
"maxDuration": "number",
"maxTotalDuration": "number",
"maxSizeMb": "number"
}
},
"aspectRatios": [
"string"
],
"defaults": {
"resolution": "string",
"aspectRatio": "string",
"duration": "number"
},
"pricing": [
{
"resolution": "string",
"mode": "string",
"duration": "number",
"price": "number",
"originPrice": "number"
}
]
}
]
}
